# kubeflow
Python SDK for MPI-Operator

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v2beta1
- Package version: 0.1
- Build package: org.openapitools.codegen.languages.PythonLegacyClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import mpijob
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import mpijob
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import mpijob
from mpijob.rest import ApiException
from pprint import pprint

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------


## Documentation For Models

 - [V1JobCondition](docs/V1JobCondition.md)
 - [V1JobStatus](docs/V1JobStatus.md)
 - [V1ReplicaSpec](docs/V1ReplicaSpec.md)
 - [V1ReplicaStatus](docs/V1ReplicaStatus.md)
 - [V1RunPolicy](docs/V1RunPolicy.md)
 - [V1SchedulingPolicy](docs/V1SchedulingPolicy.md)
 - [V2beta1JobCondition](docs/V2beta1JobCondition.md)
 - [V2beta1JobStatus](docs/V2beta1JobStatus.md)
 - [V2beta1MPIJob](docs/V2beta1MPIJob.md)
 - [V2beta1MPIJobList](docs/V2beta1MPIJobList.md)
 - [V2beta1MPIJobSpec](docs/V2beta1MPIJobSpec.md)
 - [V2beta1ReplicaStatus](docs/V2beta1ReplicaStatus.md)
 - [V2beta1RunPolicy](docs/V2beta1RunPolicy.md)
 - [V2beta1SchedulingPolicy](docs/V2beta1SchedulingPolicy.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author



